﻿namespace WebRSSBuilder
{
    using System.Windows.Controls;
    using System.Windows.Navigation;
    using WebRSSBuilder.Views;
    using WebRSSBuilder.Web;

    /// <summary>
    /// Home page for the application.
    /// </summary>
    public partial class Home : Page
    {
        /// <summary>
        /// Creates a new <see cref="Home"/> instance.
        /// </summary>
        bool init = false;
        public Home()
        {
            InitializeComponent();

            this.Title = ApplicationStrings.HomePageTitle;
            
           
        }

        /// <summary>
        /// Executes when the user navigates to this page.
        /// </summary>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void fileDomainDataSource_LoadedData(object sender, LoadedDataEventArgs e)
        {

            if (e.HasError)
            {
                System.Windows.MessageBox.Show(e.Error.ToString(), "Load Error", System.Windows.MessageBoxButton.OK);
                e.MarkErrorAsHandled();
            }
        }

       

        private void buttonGo_Click(object sender, System.Windows.RoutedEventArgs e)
        {

            File f = ((File)fileDataGrid.SelectedItem);
            App.Current.Resources.Remove("File");
            App.Current.Resources.Add("File", f);
            Content = new ViewRss();
        }
    }
}